# Window(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Window`(bpy_struct)

  Open window

  `height`

    Window height

    Type: | int in [0, 32767], default 0, (readonly)

  `screen`

    Active screen showing in the window

    Type: | `Screen`, (never None)

  `stereo_3d_display`

    Settings for stereo 3d display

    Type: | `Stereo3dDisplay`, (readonly, never None)

  `width`

    Window width

    Type: | int in [0, 32767], default 0, (readonly)

  `x`

    Horizontal location of the window

    Type: | int in [-32768, 32767], default 0, (readonly)

  `y`

    Vertical location of the window

    Type: | int in [-32768, 32767], default 0, (readonly)

  `cursor_warp`(x, y)

    Set the cursor position

  `cursor_set`(cursor)

    Set the cursor

    Parameters: | cursor (enum in [‘DEFAULT’, ‘NONE’, ‘WAIT’, ‘CROSSHAIR’, ‘MOVE_X’, ‘MOVE_Y’, ‘KNIFE’, ‘TEXT’, ‘PAINT_BRUSH’, ‘HAND’, ‘SCROLL_X’, ‘SCROLL_Y’, ‘SCROLL_XY’, ‘EYEDROPPER’]) – cursor

  `cursor_modal_set`(cursor)

    Restore the previous cursor after calling `cursor_modal_set`

    Parameters: | cursor (enum in [‘DEFAULT’, ‘NONE’, ‘WAIT’, ‘CROSSHAIR’, ‘MOVE_X’, ‘MOVE_Y’, ‘KNIFE’, ‘TEXT’, ‘PAINT_BRUSH’, ‘HAND’, ‘SCROLL_X’, ‘SCROLL_Y’, ‘SCROLL_XY’, ‘EYEDROPPER’]) – cursor

  `cursor_modal_restore`()

    cursor_modal_restore

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Context.window` `WindowManager.event_timer_add` | `WindowManager.windows`